View Issue Details

IDProjectCategoryView StatusLast Update
13712Bug reports[All Projects] Expression Managerpublic2018-06-15 14:27
ReportertammoAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.8.x 
Target Version4.0.0devFixed in Version3.8.x 
Summary13712: Exclusive option does not exclude others
Description

When I have a multiple choice question (ls04) with 7 options:
Option 1
Option 2
Option 3
Option 4
Option 5
Option 6
None of the above

And the next question (ls05) should only be shown when at least one of the options was indicated, I use:
((ls04_SQ001.NAOK == "Y") or (ls04_SQ002.NAOK == "Y") or (ls04_SQ003.NAOK == "Y") or (ls04_SQ004.NAOK == "Y") or (ls04_SQ005.NAOK == "Y") or (ls04_SQ006.NAOK == "Y")) as the relevance equation.

But when I first indicate option 1 and after that "None of the above" this is still triggered. If I want to hide the question ls05 I have to uncheck "None of the above", check and uncheck Option 1.

Is this the expected behaviour and should I have to solve this with Javascript (hopefully not) or is this a bug?

Steps To Reproduce

See attached survey.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.8.1+180524
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version5.6.x

Activities

tammo

tammo

2018-05-25 14:30

developer  

limesurvey_survey_365642.lss (21,083 bytes)
tammo

tammo

2018-05-25 14:31

developer   ~47851

BTW: "None of the above" is an exclusive option.

DenisChenu

DenisChenu

2018-05-26 10:50

developer   ~47859

Think it's a bug : you're right. Hard to fix, but still a bug ;)

orvil

orvil

2018-05-29 10:22

reporter   ~47890

Why not check additionally for {(ls04_SQ007.NAOK == "Y")} to exclude?

markusfluer

markusfluer

2018-05-29 12:08

administrator   ~47897

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27249

c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48155

New version released.

Related Changesets

LimeSurvey: master 74eaf566

2018-05-29 12:08:20

markusfluer

Details Diff
Fixed issue 13712: Exclusive option does not exclude others Affected Issues
13712
mod - assets/packages/limesurvey/survey.js Diff File

Issue History

Date Modified Username Field Change
2018-05-25 14:30 tammo New Issue
2018-05-25 14:30 tammo File Added: limesurvey_survey_365642.lss
2018-05-25 14:31 tammo Note Added: 47851
2018-05-26 10:50 DenisChenu Note Added: 47859
2018-05-29 10:22 orvil Note Added: 47890
2018-05-29 12:08 markusfluer Assigned To => markusfluer
2018-05-29 12:08 markusfluer Status new => resolved
2018-05-29 12:08 markusfluer Resolution open => fixed
2018-05-29 12:08 markusfluer Fixed in Version => 3.8.x
2018-05-29 12:08 markusfluer Changeset attached => LimeSurvey master 74eaf566
2018-05-29 12:08 markusfluer Note Added: 47897
2018-06-15 14:27 c_schmitz Note Added: 48155
2018-06-15 14:27 c_schmitz Status resolved => closed